Index: trunk/lib/FlairCore/src/DataPlot.cpp
===================================================================
--- trunk/lib/FlairCore/src/DataPlot.cpp	(revision 14)
+++ trunk/lib/FlairCore/src/DataPlot.cpp	(revision 15)
@@ -24,72 +24,64 @@
 using std::string;
 
-namespace flair
-{
-namespace gui
-{
+namespace flair {
+namespace gui {
 
 using namespace core;
 
-void RGBFromColor(DataPlot::Color_t color,uint8_t &r,uint8_t &g,uint8_t &b)
-{
-    switch(color)
-    {
-        case DataPlot::Red:
-            r=255;
-            g=0;
-            b=0;
-            break;
-        case DataPlot::Blue:
-            r=0;
-            g=0;
-            b=255;
-            break;
-        case DataPlot::Green:
-            r=0;
-            g=255;
-            b=0;
-            break;
-        case DataPlot::Yellow:
-            r=255;
-            g=255;
-            b=0;
-            break;
-        case DataPlot::Black:
-            r=0;
-            g=0;
-            b=0;
-            break;
-        case DataPlot::White:
-            r=255;
-            g=255;
-            b=255;
-            break;
-    }
+void RGBFromColor(DataPlot::Color_t color, uint8_t &r, uint8_t &g, uint8_t &b) {
+  switch (color) {
+  case DataPlot::Red:
+    r = 255;
+    g = 0;
+    b = 0;
+    break;
+  case DataPlot::Blue:
+    r = 0;
+    g = 0;
+    b = 255;
+    break;
+  case DataPlot::Green:
+    r = 0;
+    g = 255;
+    b = 0;
+    break;
+  case DataPlot::Yellow:
+    r = 255;
+    g = 255;
+    b = 0;
+    break;
+  case DataPlot::Black:
+    r = 0;
+    g = 0;
+    b = 0;
+    break;
+  case DataPlot::White:
+    r = 255;
+    g = 255;
+    b = 255;
+    break;
+  }
 }
 
-DataPlot::DataPlot(const LayoutPosition* position,string name,string type):SendData(position,name,type)
-{
-    pimpl_=new DataPlot_impl();
+DataPlot::DataPlot(const LayoutPosition *position, string name, string type)
+    : SendData(position, name, type) {
+  pimpl_ = new DataPlot_impl();
 }
 
-DataPlot::~DataPlot()
-{
-    delete pimpl_;
+DataPlot::~DataPlot() { delete pimpl_; }
+
+void DataPlot::AddDataToSend(const IODataElement *element) {
+  pimpl_->tosend.push_back(element);
+
+  SetSendSize(SendSize() + element->Size());
 }
 
-void DataPlot::AddDataToSend(const IODataElement *element)
-{
-    pimpl_->tosend.push_back(element);
+void DataPlot::CopyDatas(char *buf) const {
+  int buf_size = 0;
 
-    SetSendSize(SendSize()+element->Size());
-}
-
-void DataPlot::CopyDatas(char* buf) const {
-    int buf_size=0;
-
-    for(size_t i=0;i<pimpl_->tosend.size();i++) {
-        pimpl_->tosend[i]->CopyData(buf+buf_size);
-        buf_size+=pimpl_->tosend[i]->Size();
-    }
+  for (size_t i = 0; i < pimpl_->tosend.size(); i++) {
+    pimpl_->tosend[i]->CopyData(buf + buf_size);
+    buf_size += pimpl_->tosend[i]->Size();
+  }
 }
 
Index: trunk/lib/FlairCore/src/DataPlot.h
===================================================================
--- trunk/lib/FlairCore/src/DataPlot.h	(revision 14)
+++ trunk/lib/FlairCore/src/DataPlot.h	(revision 15)
@@ -18,98 +18,93 @@
 class DataPlot_impl;
 
-namespace flair
-{
-    namespace core
-    {
-        class IODataElement;
-    }
+namespace flair {
+namespace core {
+class IODataElement;
 }
-namespace flair
-{
-namespace gui
-{
-    class LayoutPosition;
+}
+namespace flair {
+namespace gui {
+class LayoutPosition;
 
-    /*! \class DataPlot
-    *
-    * \brief Abstract class to display plots on ground station
-    *
-    */
-    class DataPlot: public SendData
-    {
-        public:
-            /*!
-            \enum Color_t
-            \brief Types of colors
-            */
-            typedef enum {
-                Red/*! red  */,
-                Blue/*! blue  */,
-                Green/*! green  */,
-                Yellow/*! yellow  */,
-                Black/*! black  */,
-                White/*! white  */,
-                } Color_t;
+/*! \class DataPlot
+*
+* \brief Abstract class to display plots on ground station
+*
+*/
+class DataPlot : public SendData {
+public:
+  /*!
+  \enum Color_t
+  \brief Types of colors
+  */
+  typedef enum {
+    Red /*! red  */,
+    Blue /*! blue  */,
+    Green /*! green  */,
+    Yellow /*! yellow  */,
+    Black /*! black  */,
+    White /*! white  */,
+  } Color_t;
 
-            /*!
-            * \brief Constructor
-            *
-            * Type must agree with predifined (hard coded) types
-            * in ground station code. After calling this constructor,
-            * position will be deleted as it is no longer usefull.
-            * The DataPlot will automatically be child of position->getLayout() Layout.
-            *
-            * \param position position
-            * \param name nom
-            * \param type type
-            */
-            DataPlot(const LayoutPosition* position,std::string name,std::string type);
+  /*!
+  * \brief Constructor
+  *
+  * Type must agree with predifined (hard coded) types
+  * in ground station code. After calling this constructor,
+  * position will be deleted as it is no longer usefull.
+  * The DataPlot will automatically be child of position->getLayout() Layout.
+  *
+  * \param position position
+  * \param name nom
+  * \param type type
+  */
+  DataPlot(const LayoutPosition *position, std::string name, std::string type);
 
-            /*!
-            * \brief Destructor
-            *
-            */
-            ~DataPlot();
+  /*!
+  * \brief Destructor
+  *
+  */
+  ~DataPlot();
 
-        protected:
-            /*!
-            * \brief Add an IODataElement to the plot.
-            *
-            * This method registers element for sending.
-            *
-            * \param element element to plot
-            */
-            void AddDataToSend(const core::IODataElement *element);
+protected:
+  /*!
+  * \brief Add an IODataElement to the plot.
+  *
+  * This method registers element for sending.
+  *
+  * \param element element to plot
+  */
+  void AddDataToSend(const core::IODataElement *element);
 
-        private:
-            /*!
-            * \brief Copy datas to specified buffer
-            *
-            * Reimplemented from SendData.
-            *
-            * \param buf output buffer
-            */
-            void CopyDatas(char* buf) const;
+private:
+  /*!
+  * \brief Copy datas to specified buffer
+  *
+  * Reimplemented from SendData.
+  *
+  * \param buf output buffer
+  */
+  void CopyDatas(char *buf) const;
 
-            /*!
-            * \brief Extra Xml event
-            *
-            * Reimplemented from SendData.
-            */
-            void ExtraXmlEvent(void){};
+  /*!
+  * \brief Extra Xml event
+  *
+  * Reimplemented from SendData.
+  */
+  void ExtraXmlEvent(void){};
 
-            class DataPlot_impl* pimpl_;
-    };
+  class DataPlot_impl *pimpl_;
+};
 
-    /*!
-    * \brief Get RGB components from color type
-    *
-    *
-    * \param color input color
-    * \param r output component
-    * \param g output component
-    * \param b output component
-    */
-    void RGBFromColor(DataPlot::Color_t color,uint8_t &r,uint8_t &g,uint8_t &b);
+/*!
+* \brief Get RGB components from color type
+*
+*
+* \param color input color
+* \param r output component
+* \param g output component
+* \param b output component
+*/
+void RGBFromColor(DataPlot::Color_t color, uint8_t &r, uint8_t &g, uint8_t &b);
 
 } // end namespace gui
Index: trunk/lib/FlairCore/src/DataPlot1D.cpp
===================================================================
--- trunk/lib/FlairCore/src/DataPlot1D.cpp	(revision 14)
+++ trunk/lib/FlairCore/src/DataPlot1D.cpp	(revision 15)
@@ -23,46 +23,43 @@
 using std::string;
 
-namespace flair
-{
-namespace gui
-{
+namespace flair {
+namespace gui {
 
 using namespace core;
 
-DataPlot1D::DataPlot1D(const LayoutPosition* position,string name,float ymin,float ymax):DataPlot(position,name,"DataPlot1D")
-{
-    SetVolatileXmlProp("min",ymin);
-    SetVolatileXmlProp("max",ymax);
-    SendXml();
+DataPlot1D::DataPlot1D(const LayoutPosition *position, string name, float ymin,
+                       float ymax)
+    : DataPlot(position, name, "DataPlot1D") {
+  SetVolatileXmlProp("min", ymin);
+  SetVolatileXmlProp("max", ymax);
+  SendXml();
 }
 
-DataPlot1D::~DataPlot1D() {
+DataPlot1D::~DataPlot1D() {}
+
+void DataPlot1D::AddCurve(const core::IODataElement *element, uint8_t r,
+                          uint8_t g, uint8_t b, string curve_name) {
+  if (curve_name != "") {
+    SetVolatileXmlProp("curve", curve_name);
+  } else {
+    SetVolatileXmlProp("curve", element->Parent()->ObjectName() + "\\" +
+                                    element->ObjectName());
+  }
+  SetVolatileXmlProp("type", element->GetDataType().GetDescription());
+  SetVolatileXmlProp("r", r);
+  SetVolatileXmlProp("g", g);
+  SetVolatileXmlProp("b", b);
+
+  SendXml();
+
+  // save data information
+  AddDataToSend(element);
 }
 
-void DataPlot1D::AddCurve(const core::IODataElement* element,uint8_t r,uint8_t g,uint8_t b,string curve_name)
-{
-    if(curve_name!="")
-    {
-        SetVolatileXmlProp("curve",curve_name);
-    }
-    else
-    {
-        SetVolatileXmlProp("curve",element->Parent()->ObjectName() + "\\" +element->ObjectName());
-    }
-    SetVolatileXmlProp("type",element->GetDataType().GetDescription());
-    SetVolatileXmlProp("r",r);
-    SetVolatileXmlProp("g",g);
-    SetVolatileXmlProp("b",b);
-
-    SendXml();
-
-    //save data information
-    AddDataToSend(element);
-}
-
-void DataPlot1D::AddCurve(const core::IODataElement* element,Color_t color,string curve_name) {
-    uint8_t r,g,b;
-    RGBFromColor(color,r,g,b);
-    AddCurve(element,r,g,b,curve_name);
+void DataPlot1D::AddCurve(const core::IODataElement *element, Color_t color,
+                          string curve_name) {
+  uint8_t r, g, b;
+  RGBFromColor(color, r, g, b);
+  AddCurve(element, r, g, b, curve_name);
 }
 
Index: trunk/lib/FlairCore/src/DataPlot1D.h
===================================================================
--- trunk/lib/FlairCore/src/DataPlot1D.h	(revision 14)
+++ trunk/lib/FlairCore/src/DataPlot1D.h	(revision 15)
@@ -17,66 +17,67 @@
 #include <stdint.h>
 
-namespace flair
-{
-namespace core
-{
-    class IODataElement;
+namespace flair {
+namespace core {
+class IODataElement;
 }
 
-namespace gui
-{
+namespace gui {
 
-    class LayoutPosition;
+class LayoutPosition;
 
-    /*! \class DataPlot1D
-    *
-    * \brief Class displaying a 1D plot on the ground station
-    *
-    */
-    class DataPlot1D: private DataPlot
-    {
-        public:
-            /*!
-            * \brief Constructor
-            *
-            * Construct a 1D plot at given position.
-            *
-            * \param position position to display the plot
-            * \param name name
-            * \param ymin default ymin of the plot
-            * \param ymax default ymax of the plot
-            */
-            DataPlot1D(const LayoutPosition* position,std::string name,float ymin,float ymax);
+/*! \class DataPlot1D
+*
+* \brief Class displaying a 1D plot on the ground station
+*
+*/
+class DataPlot1D : private DataPlot {
+public:
+  /*!
+  * \brief Constructor
+  *
+  * Construct a 1D plot at given position.
+  *
+  * \param position position to display the plot
+  * \param name name
+  * \param ymin default ymin of the plot
+  * \param ymax default ymax of the plot
+  */
+  DataPlot1D(const LayoutPosition *position, std::string name, float ymin,
+             float ymax);
 
-            /*!
-            * \brief Destructor
-            *
-            */
-            ~DataPlot1D();
+  /*!
+  * \brief Destructor
+  *
+  */
+  ~DataPlot1D();
 
-            /*!
-            * \brief Add a curve from an IODataElement to the plot.
-            *
-            * Curve's color can be selected by its name.
-            *
-            * \param element element to plot
-            * \param color color of the curve
-            * \param curve_name name of the curve for the legend, if unspecified, element->ObjectName() will be used
-            */
-            void AddCurve(const core::IODataElement* element,Color_t color,std::string curve_name="");
+  /*!
+  * \brief Add a curve from an IODataElement to the plot.
+  *
+  * Curve's color can be selected by its name.
+  *
+  * \param element element to plot
+  * \param color color of the curve
+  * \param curve_name name of the curve for the legend, if unspecified,
+  *element->ObjectName() will be used
+  */
+  void AddCurve(const core::IODataElement *element, Color_t color,
+                std::string curve_name = "");
 
-            /*!
-            * \brief Add a curve from an IODataElement to the plot.
-            *
-            * Curve's color can be selected by its RGB components.
-            *
-            * \param element element to plot
-            * \param r red component of the curve
-            * \param g green component of the curve
-            * \param b blue component of the curve
-            * \param curve_name name of the curve for the legend, if unspecified, element->ObjectName() will be used
-            */
-            void AddCurve(const core::IODataElement* element,uint8_t r=255,uint8_t g=0,uint8_t b=0,std::string curve_name="");
-    };
+  /*!
+  * \brief Add a curve from an IODataElement to the plot.
+  *
+  * Curve's color can be selected by its RGB components.
+  *
+  * \param element element to plot
+  * \param r red component of the curve
+  * \param g green component of the curve
+  * \param b blue component of the curve
+  * \param curve_name name of the curve for the legend, if unspecified,
+  *element->ObjectName() will be used
+  */
+  void AddCurve(const core::IODataElement *element, uint8_t r = 255,
+                uint8_t g = 0, uint8_t b = 0, std::string curve_name = "");
+};
 
 } // end namespace gui
Index: trunk/lib/FlairCore/src/DataPlot2D.cpp
===================================================================
--- trunk/lib/FlairCore/src/DataPlot2D.cpp	(revision 14)
+++ trunk/lib/FlairCore/src/DataPlot2D.cpp	(revision 15)
@@ -23,46 +23,58 @@
 using std::string;
 
-namespace flair { namespace gui {
+namespace flair {
+namespace gui {
 
-DataPlot2D::DataPlot2D(const LayoutPosition* position,string name,string x_name,float xmin,float xmax,string y_name,float ymin,float ymax):DataPlot(position,name,"DataPlot2D") {
-    SetVolatileXmlProp("xmin",xmin);
-    SetVolatileXmlProp("xmax",xmax);
-    SetVolatileXmlProp("ymin",ymin);
-    SetVolatileXmlProp("ymax",ymax);
-    SetVolatileXmlProp("x_name",x_name);
-    SetVolatileXmlProp("y_name",y_name);
-    SendXml();
+DataPlot2D::DataPlot2D(const LayoutPosition *position, string name,
+                       string x_name, float xmin, float xmax, string y_name,
+                       float ymin, float ymax)
+    : DataPlot(position, name, "DataPlot2D") {
+  SetVolatileXmlProp("xmin", xmin);
+  SetVolatileXmlProp("xmax", xmax);
+  SetVolatileXmlProp("ymin", ymin);
+  SetVolatileXmlProp("ymax", ymax);
+  SetVolatileXmlProp("x_name", x_name);
+  SetVolatileXmlProp("y_name", y_name);
+  SendXml();
 }
 
 DataPlot2D::~DataPlot2D() {}
 
-void DataPlot2D::AddCurve(const core::IODataElement* x_element,const core::IODataElement* y_element,Color_t color,string curve_name) {
-    uint8_t r,g,b;
-    RGBFromColor(color,r,g,b);
-    AddCurve(x_element,y_element,r,g,b,curve_name);
+void DataPlot2D::AddCurve(const core::IODataElement *x_element,
+                          const core::IODataElement *y_element, Color_t color,
+                          string curve_name) {
+  uint8_t r, g, b;
+  RGBFromColor(color, r, g, b);
+  AddCurve(x_element, y_element, r, g, b, curve_name);
 }
 
-void DataPlot2D::AddCurve(const core::IODataElement* x_element,const core::IODataElement* y_element,uint8_t r,uint8_t g,uint8_t b,string curve_name) {
-    if(typeid(x_element->GetDataType())!=typeid(y_element->GetDataType())) {
-        Err("x_element type is different from y_element type (%i-%i)\n",x_element->GetDataType().GetDescription().c_str(),y_element->GetDataType().GetDescription().c_str());
-        //gerer erreur
-        return;
-    }
+void DataPlot2D::AddCurve(const core::IODataElement *x_element,
+                          const core::IODataElement *y_element, uint8_t r,
+                          uint8_t g, uint8_t b, string curve_name) {
+  if (typeid(x_element->GetDataType()) != typeid(y_element->GetDataType())) {
+    Err("x_element type is different from y_element type (%i-%i)\n",
+        x_element->GetDataType().GetDescription().c_str(),
+        y_element->GetDataType().GetDescription().c_str());
+    // gerer erreur
+    return;
+  }
 
-    if(curve_name!="") {
-        SetVolatileXmlProp("curve",curve_name);
-    } else {
-        SetVolatileXmlProp("curve",x_element->Parent()->ObjectName() + "\\" +x_element->ObjectName()+ "\\" +y_element->ObjectName());
-    }
-    SetVolatileXmlProp("type",x_element->GetDataType().GetDescription());
-    SetVolatileXmlProp("r",r);
-    SetVolatileXmlProp("g",g);
-    SetVolatileXmlProp("b",b);
+  if (curve_name != "") {
+    SetVolatileXmlProp("curve", curve_name);
+  } else {
+    SetVolatileXmlProp("curve", x_element->Parent()->ObjectName() + "\\" +
+                                    x_element->ObjectName() + "\\" +
+                                    y_element->ObjectName());
+  }
+  SetVolatileXmlProp("type", x_element->GetDataType().GetDescription());
+  SetVolatileXmlProp("r", r);
+  SetVolatileXmlProp("g", g);
+  SetVolatileXmlProp("b", b);
 
-    SendXml();
+  SendXml();
 
-    //save data information
-    AddDataToSend(x_element);
-    AddDataToSend(y_element);
+  // save data information
+  AddDataToSend(x_element);
+  AddDataToSend(y_element);
 }
 
Index: trunk/lib/FlairCore/src/DataPlot2D.h
===================================================================
--- trunk/lib/FlairCore/src/DataPlot2D.h	(revision 14)
+++ trunk/lib/FlairCore/src/DataPlot2D.h	(revision 15)
@@ -17,74 +17,75 @@
 #include <stdint.h>
 
-namespace flair
-{
-    namespace core
-    {
-        class IODataElement;
-    }
+namespace flair {
+namespace core {
+class IODataElement;
 }
-namespace flair
-{
-namespace gui
-{
+}
+namespace flair {
+namespace gui {
 
-    class LayoutPosition;
+class LayoutPosition;
 
-    /*! \class DataPlot2D
-    *
-    * \brief Class displaying a 2D plot on the ground station
-    *
-    */
-    class DataPlot2D: private DataPlot
-    {
-        public:
-            /*!
-            * \brief Constructor
-            *
-            * Construct a 2D plot at given place position.
-            *
-            * \param position position to display the plot
-            * \param name name
-            * \param x_name name of x axis
-            * \param xmin default xmin of the plot
-            * \param xmax default xmax of the plot
-            * \param y_name name of y axis
-            * \param ymin default ymin of the plot
-            * \param ymax default ymax of the plot
-            */
-            DataPlot2D(const LayoutPosition* position,std::string name,std::string x_name,float xmin,float xmax,std::string y_name,float ymin,float ymax);
+/*! \class DataPlot2D
+*
+* \brief Class displaying a 2D plot on the ground station
+*
+*/
+class DataPlot2D : private DataPlot {
+public:
+  /*!
+  * \brief Constructor
+  *
+  * Construct a 2D plot at given place position.
+  *
+  * \param position position to display the plot
+  * \param name name
+  * \param x_name name of x axis
+  * \param xmin default xmin of the plot
+  * \param xmax default xmax of the plot
+  * \param y_name name of y axis
+  * \param ymin default ymin of the plot
+  * \param ymax default ymax of the plot
+  */
+  DataPlot2D(const LayoutPosition *position, std::string name,
+             std::string x_name, float xmin, float xmax, std::string y_name,
+             float ymin, float ymax);
 
-            /*!
-            * \brief Destructor
-            *
-            */
-            ~DataPlot2D();
+  /*!
+  * \brief Destructor
+  *
+  */
+  ~DataPlot2D();
 
-            /*!
-            * \brief Add a curve from elements to the plot.
-            *
-            * Curve's color can be selected by its name.
-            *
-            * \param x_element element to plot for x coordinate
-            * \param y_element element to plot for y coordinate
-            * \param color color of the curve
-            * \param curve_name name of the curve ofr the legend
-            */
-            void AddCurve(const core::IODataElement* x_element,const core::IODataElement* y_element,Color_t color,std::string curve_name="");
+  /*!
+  * \brief Add a curve from elements to the plot.
+  *
+  * Curve's color can be selected by its name.
+  *
+  * \param x_element element to plot for x coordinate
+  * \param y_element element to plot for y coordinate
+  * \param color color of the curve
+  * \param curve_name name of the curve ofr the legend
+  */
+  void AddCurve(const core::IODataElement *x_element,
+                const core::IODataElement *y_element, Color_t color,
+                std::string curve_name = "");
 
-            /*!
-            * \brief Add a curve from elements to the plot.
-            *
-            * Curve's color can be selected by its RGB components.
-            *
-            * \param x_element element to plot for x coordinate
-            * \param y_element element to plot for y coordinate
-            * \param r red component of the curve
-            * \param g green component of the curve
-            * \param b blue component of the curve
-            * \param curve_name name of the curve ofr the legend
-            */
-            void AddCurve(const core::IODataElement* x_element,const core::IODataElement* y_element,uint8_t r=255,uint8_t g=0,uint8_t b=0,std::string curve_name="");
-    };
+  /*!
+  * \brief Add a curve from elements to the plot.
+  *
+  * Curve's color can be selected by its RGB components.
+  *
+  * \param x_element element to plot for x coordinate
+  * \param y_element element to plot for y coordinate
+  * \param r red component of the curve
+  * \param g green component of the curve
+  * \param b blue component of the curve
+  * \param curve_name name of the curve ofr the legend
+  */
+  void AddCurve(const core::IODataElement *x_element,
+                const core::IODataElement *y_element, uint8_t r = 255,
+                uint8_t g = 0, uint8_t b = 0, std::string curve_name = "");
+};
 
 } // end namespace gui
Index: trunk/lib/FlairCore/src/DataPlot_impl.cpp
===================================================================
--- trunk/lib/FlairCore/src/DataPlot_impl.cpp	(revision 14)
+++ trunk/lib/FlairCore/src/DataPlot_impl.cpp	(revision 15)
@@ -18,9 +18,5 @@
 #include "DataPlot_impl.h"
 
-DataPlot_impl::DataPlot_impl()
-{
-}
+DataPlot_impl::DataPlot_impl() {}
 
-DataPlot_impl::~DataPlot_impl()
-{
-}
+DataPlot_impl::~DataPlot_impl() {}
Index: trunk/lib/FlairCore/src/DoubleSpinBox.cpp
===================================================================
--- trunk/lib/FlairCore/src/DoubleSpinBox.cpp	(revision 14)
+++ trunk/lib/FlairCore/src/DoubleSpinBox.cpp	(revision 15)
@@ -20,65 +20,67 @@
 using std::string;
 
-namespace flair
-{
-namespace gui
-{
+namespace flair {
+namespace gui {
 
-DoubleSpinBox::DoubleSpinBox(const LayoutPosition* position,string name,double min,double max,double step,int decimals,double default_value):Box(position,name,"DoubleSpinBox")
-{
-    //update value from xml file
-    if(default_value<min) default_value=min;
-    if(default_value>max) default_value=max;
-    box_value=default_value;
+DoubleSpinBox::DoubleSpinBox(const LayoutPosition *position, string name,
+                             double min, double max, double step, int decimals,
+                             double default_value)
+    : Box(position, name, "DoubleSpinBox") {
+  // update value from xml file
+  if (default_value < min)
+    default_value = min;
+  if (default_value > max)
+    default_value = max;
+  box_value = default_value;
 
-    SetVolatileXmlProp("min",min);
-    SetVolatileXmlProp("max",max);
-    SetVolatileXmlProp("step",step);
-    SetVolatileXmlProp("decimals",decimals);
-    GetPersistentXmlProp("value",box_value);
-    SetPersistentXmlProp("value",box_value);
+  SetVolatileXmlProp("min", min);
+  SetVolatileXmlProp("max", max);
+  SetVolatileXmlProp("step", step);
+  SetVolatileXmlProp("decimals", decimals);
+  GetPersistentXmlProp("value", box_value);
+  SetPersistentXmlProp("value", box_value);
 
-    SendXml();
+  SendXml();
 }
 
-DoubleSpinBox::DoubleSpinBox(const LayoutPosition* position,string name,string suffix,double min,double max,double step,int decimals,double default_value):Box(position,name,"DoubleSpinBox")
-{
-    //update value from xml file
-    if(default_value<min) default_value=min;
-    if(default_value>max) default_value=max;
-    box_value=default_value;
+DoubleSpinBox::DoubleSpinBox(const LayoutPosition *position, string name,
+                             string suffix, double min, double max, double step,
+                             int decimals, double default_value)
+    : Box(position, name, "DoubleSpinBox") {
+  // update value from xml file
+  if (default_value < min)
+    default_value = min;
+  if (default_value > max)
+    default_value = max;
+  box_value = default_value;
 
-    SetVolatileXmlProp("suffix",suffix);
-    SetVolatileXmlProp("min",min);
-    SetVolatileXmlProp("max",max);
-    SetVolatileXmlProp("step",step);
-    SetVolatileXmlProp("decimals",decimals);
-    GetPersistentXmlProp("value",box_value);
-    SetPersistentXmlProp("value",box_value);
+  SetVolatileXmlProp("suffix", suffix);
+  SetVolatileXmlProp("min", min);
+  SetVolatileXmlProp("max", max);
+  SetVolatileXmlProp("step", step);
+  SetVolatileXmlProp("decimals", decimals);
+  GetPersistentXmlProp("value", box_value);
+  SetPersistentXmlProp("value", box_value);
 
-    SendXml();
+  SendXml();
 }
 
-DoubleSpinBox::~DoubleSpinBox()
-{
+DoubleSpinBox::~DoubleSpinBox() {}
 
+double DoubleSpinBox::Value(void) const {
+  double tmp;
+
+  GetMutex();
+  tmp = box_value;
+  ReleaseMutex();
+
+  return tmp;
 }
 
-double DoubleSpinBox::Value(void) const
-{
-    double tmp;
-
-    GetMutex();
-    tmp=box_value;
-    ReleaseMutex();
-
-    return tmp;
-}
-
-void DoubleSpinBox::XmlEvent(void)
-{
-    GetMutex();
-    if(GetPersistentXmlProp("value",box_value)) SetValueChanged();
-    ReleaseMutex();
+void DoubleSpinBox::XmlEvent(void) {
+  GetMutex();
+  if (GetPersistentXmlProp("value", box_value))
+    SetValueChanged();
+  ReleaseMutex();
 }
 
Index: trunk/lib/FlairCore/src/DoubleSpinBox.h
===================================================================
--- trunk/lib/FlairCore/src/DoubleSpinBox.h	(revision 14)
+++ trunk/lib/FlairCore/src/DoubleSpinBox.h	(revision 15)
@@ -16,76 +16,77 @@
 #include <Box.h>
 
-namespace flair
-{
-namespace gui
-{
+namespace flair {
+namespace gui {
 
-    class Layout;
+class Layout;
 
-    /*! \class DoubleSpinBox
-    *
-    * \brief Class displaying a QDoubleSpinBox on the ground station
-    *
-    */
-    class DoubleSpinBox: public Box
-    {
-        public:
-            /*!
-            * \brief Constructor
-            *
-            * Construct a QDoubleSpinBox at given position. \n
-            * The QDoubleSpinBox is saturated to min and max values.
-            *
-            * \param position position to display the QDoubleSpinBox
-            * \param name name
-            * \param min minimum value
-            * \param max maximum value
-            * \param step step
-            * \param decimals number of decimals
-            * \param default_value default value if not in the xml config file
-            */
-            DoubleSpinBox(const LayoutPosition* position,std::string name,double min,double max,double step,int decimals=2,double default_value=0);
+/*! \class DoubleSpinBox
+*
+* \brief Class displaying a QDoubleSpinBox on the ground station
+*
+*/
+class DoubleSpinBox : public Box {
+public:
+  /*!
+  * \brief Constructor
+  *
+  * Construct a QDoubleSpinBox at given position. \n
+  * The QDoubleSpinBox is saturated to min and max values.
+  *
+  * \param position position to display the QDoubleSpinBox
+  * \param name name
+  * \param min minimum value
+  * \param max maximum value
+  * \param step step
+  * \param decimals number of decimals
+  * \param default_value default value if not in the xml config file
+  */
+  DoubleSpinBox(const LayoutPosition *position, std::string name, double min,
+                double max, double step, int decimals = 2,
+                double default_value = 0);
 
-            /*!
-            * \brief Constructor
-            *
-            * Construct a QDoubleSpinBox at given position. \n
-            * The QDoubleSpinBox is saturated to min and max values.
-            *
-            * \param position position to display the QDoubleSpinBox
-            * \param name name
-            * \param suffix suffix for the value (eg unit)
-            * \param min minimum value
-            * \param max maximum value
-            * \param step step
-            * \param decimals number of decimals
-            * \param default_value default value if not in the xml config file
-            */
-            DoubleSpinBox(const LayoutPosition* position,std::string name,std::string suffix,double min,double max,double step,int decimals=2,double default_value=0);
+  /*!
+  * \brief Constructor
+  *
+  * Construct a QDoubleSpinBox at given position. \n
+  * The QDoubleSpinBox is saturated to min and max values.
+  *
+  * \param position position to display the QDoubleSpinBox
+  * \param name name
+  * \param suffix suffix for the value (eg unit)
+  * \param min minimum value
+  * \param max maximum value
+  * \param step step
+  * \param decimals number of decimals
+  * \param default_value default value if not in the xml config file
+  */
+  DoubleSpinBox(const LayoutPosition *position, std::string name,
+                std::string suffix, double min, double max, double step,
+                int decimals = 2, double default_value = 0);
 
-            /*!
-            * \brief Destructor
-            *
-            */
-            ~DoubleSpinBox();
+  /*!
+  * \brief Destructor
+  *
+  */
+  ~DoubleSpinBox();
 
-            /*!
-            * \brief Value
-            *
-            * \return value
-            */
-            double Value(void) const;
+  /*!
+  * \brief Value
+  *
+  * \return value
+  */
+  double Value(void) const;
 
-        private:
-            /*!
-            * \brief XmlEvent from ground station
-            *
-            * Reimplemented from Widget.
-            *
-            */
-            void XmlEvent(void);
+private:
+  /*!
+  * \brief XmlEvent from ground station
+  *
+  * Reimplemented from Widget.
+  *
+  */
+  void XmlEvent(void);
 
-            double box_value;
-    };
+  double box_value;
+};
 
 } // end namespace gui
